Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class KeyTransRecipientInfo

    java.lang.Object
      |
      +--org.bouncycastle.asn1.cms.KeyTransRecipientInfo

All Implemented Interfaces:
  DEREncodable

public class KeyTransRecipientInfo
extends java.lang.Object
implements DEREncodable

Constructor Summary
`KeyTransRecipientInfo(ASN1Sequence seq)`
`KeyTransRecipientInfo(RecipientIdentifier rid, AlgorithmIdentifier keyEncryptionAlgorithm, ASN1OctetString encryptedKey)`

Method Summary
`DERObject` | `getDERObject()` KeyTransRecipientInfo ::= SEQUENCE { version CMSVersion, -- always set to 0 or 2 rid RecipientIdentifier, keyEncryptionAlgorithm KeyEncryptionAlgorithmIdentifier, encryptedKey EncryptedKey }
`ASN1OctetString` | `getEncryptedKey()`
`static KeyTransRecipientInfo` | `getInstance(java.lang.Object obj)` return a KeyTransRecipientInfo object from the given object.
`AlgorithmIdentifier` | `getKeyEncryptionAlgorithm()`
`RecipientIdentifier` | `getRecipientIdentifier()`
`DERInteger` | `getVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyTransRecipientInfo

    public KeyTransRecipientInfo(RecipientIdentifier rid,
                                 AlgorithmIdentifier keyEncryptionAlgorithm,
                                 ASN1OctetString encryptedKey)

### KeyTransRecipientInfo

    public KeyTransRecipientInfo(ASN1Sequence seq)

Method Detail

### getInstance

    public static KeyTransRecipientInfo getInstance(java.lang.Object obj)

  return a KeyTransRecipientInfo object from the given object.

  Parameters:
    `obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getVersion

    public DERInteger getVersion()

### getRecipientIdentifier

    public RecipientIdentifier getRecipientIdentifier()

### getKeyEncryptionAlgorithm

    public AlgorithmIdentifier getKeyEncryptionAlgorithm()

### getEncryptedKey

    public ASN1OctetString getEncryptedKey()

### getDERObject

    public DERObject getDERObject()

       KeyTransRecipientInfo ::= SEQUENCE {
       	version CMSVersion,  -- always set to 0 or 2
       	rid RecipientIdentifier,
       	keyEncryptionAlgorithm KeyEncryptionAlgorithmIdentifier,
       	encryptedKey EncryptedKey
       }

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD